<?php
/**
 * @package		$Id: component.php 26121 2015-01-27 15:22:36Z james $
* @version   $Id: component.php 26121 2015-01-27 15:22:36Z james $
* @author RocketTheme http://www.rockettheme.com
* @copyright  Copyright (C) 2007 - 2019 RocketTheme, LLC
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 *
 * Gantry uses the Joomla Framework (http://www.joomla.org), a GNU/GPLv2 content management system
 *
 */
// no direct access
defined( '_JEXEC' ) or die( 'Restricted index access' );

// load and inititialize gantry class
require_once('lib/gantry/gantry.php');
$gantry->init();

?>
<?php if (JFactory::getApplication()->input->getString('type')=='raw'):?>
	<jdoc:include type="component" />
<?php else: ?>
	<!DOCTYPE html>
	<html xml:lang="<?php echo $gantry->language; ?>" lang="<?php echo $gantry->language;?>" >
		<head>
			<?php 
				$gantry->displayHead();
				$gantry->addStyles(array('template.css','joomla.css','typography.css'));
			?>
		</head>
		<body class="component-body <?php if (JFactory::getApplication()->input->getString('print')):?>component-print<?php endif;?>">
			<?php /** Begin Drawer **/ if ($gantry->countModules('drawer')) : ?>
			<div id="rt-drawer">
				<div class="rt-container">
					<?php echo $gantry->displayModules('drawer','standard','standard'); ?>
					<div class="clear"></div>
				</div>
			</div>
			<?php /** End Drawer **/ endif; ?>
			<div id="rt-main">
				<div class="rt-block">
					<div id="rt-mainbody">
						<div class="component-block">
							<div class="component-content">
								<jdoc:include type="component" />
							</div>
					    </div>
					</div>
				</div>
			</div>
		</body>
	</html>
<?php endif; ?>
<?php
$gantry->finalize();
?>