<?php
/**
* @package   $Id: social.php 26121 2015-01-27 15:22:36Z james $
* @version   $Id: social.php 26121 2015-01-27 15:22:36Z james $
* @author    RocketTheme http://www.rockettheme.com
* @copyright Copyright (C) 2007 - 2019 RocketTheme, LLC
* @license   http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
*
* Gantry uses the Joomla Framework (http://www.joomla.org), a GNU/GPLv2 content management system
*
*/
defined('JPATH_BASE') or die();

gantry_import('core.gantryfeature');

class GantryFeatureSocial extends GantryFeature {
	var $_feature_name = 'social';

	function init(){
		global $gantry;
	}

	function render($position="") {
		ob_start();
		global $gantry;
		?>
		<div class="rt-social-buttons">
			<?php if ($gantry->get('social-twitter') != null) : ?>
			<a id="rt-twitter-btn" href="<?php echo $gantry->get('social-twitter'); ?>">
				<span></span>
			</a>
			<?php endif; ?>
			<?php if ($gantry->get('social-facebook') != null) : ?>
			<a id="rt-facebook-btn" href="<?php echo $gantry->get('social-facebook'); ?>">
				<span></span>
			</a>
			<?php endif; ?>
			<?php if ($gantry->get('social-buzz') != null) : ?>
			<a id="rt-buzz-btn" href="<?php echo $gantry->get('social-buzz'); ?>">
				<span></span>
			</a>
			<?php endif; ?>
			<?php if ($gantry->get('social-rss') != null) : ?>
			<a id="rt-rss-btn" href="<?php echo $gantry->get('social-rss'); ?>">
				<span></span>
			</a>
			<?php endif; ?>
		</div>
		<?php
		return ob_get_clean();
	}
}
