<?php
/**
 * @package   $Id: gantry.config.php 26121 2015-01-27 15:22:36Z james $
* @version   $Id: gantry.config.php 26121 2015-01-27 15:22:36Z james $
* @author    RocketTheme http://www.rockettheme.com
* @copyright Copyright (C) 2007 - 2019 RocketTheme, LLC
* @license   http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 *
 * Rockettheme Ionosphere Template uses the Joomla Framework (http://www.joomla.org), a GNU/GPLv2 content management system
 *
 */
defined('JPATH_BASE') or die();

$gantry_config_mapping = array(
    'belatedPNG' => 'belatedPNG'
);

$gantry_presets = array (
    'presets' => array (
        'preset1' => array (
            'name' => 'Preset 1',
            'accent-color' => '#CF4725',
            'accent-overlay' => 'dark',
            'body-overlay' => 'light',
            'body-color' => '#CF4725',
            'bg-overlay' => 'dark',
            'bg-background' => '#323335',
            'bg-pattern' => 'metal'
        ),

        'preset2' => array (
            'name' => 'Preset 2',
            'accent-color' => '#CF4725',
            'accent-overlay' => 'dark',
            'body-overlay' => 'light',
            'body-color' => '#CF4725',
            'bg-overlay' => 'light',
            'bg-background' => '#CED0D4',
            'bg-pattern' => 'vertical-linen'
        ),

        'preset3' => array (
            'name' => 'Preset 3',
            'accent-color' => '#558BC2',
            'accent-overlay' => 'dark',
            'body-overlay' => 'dark',
            'body-color' => '#558BC2',
            'bg-overlay' => 'dark',
            'bg-background' => '#323335',
            'bg-pattern' => 'rough-fabric'
        ),

        'preset4' => array (
            'name' => 'Preset 4',
            'accent-color' => '#97C227',
            'accent-overlay' => 'dark',
            'body-overlay' => 'light',
            'body-color' => '#8AB222',
            'bg-overlay' => 'light',
            'bg-background' => '#CED0D4',
            'bg-pattern' => 'wood'
        ),

        'preset5' => array (
            'name' => 'Preset 5',
            'accent-color' => '#A3C2C0',
            'accent-overlay' => 'dark',
            'body-overlay' => 'light',
            'body-color' => '#91ACAB',
            'bg-overlay' => 'dark',
            'bg-background' => '#2E2F31',
            'bg-pattern' => 'plaid-fabric'
        ),

        'preset6' => array (
            'name' => 'Preset 6',
            'accent-color' => '#558BC2',
            'accent-overlay' => 'dark',
            'body-overlay' => 'light',
            'body-color' => '#558BC2',
            'bg-overlay' => 'light',
            'bg-background' => '#D6D9DE',
            'bg-pattern' => 'textile'
        ),

        'preset7' => array (
            'name' => 'Preset 7',
            'accent-color' => '#F8A5B6',
            'accent-overlay' => 'dark',
            'body-overlay' => 'light',
            'body-color' => '#E196A5',
            'bg-overlay' => 'dark',
            'bg-background' => '#171717',
            'bg-pattern' => 'plaid'
        ),

        'preset8' => array (
            'name' => 'Preset 8',
            'accent-color' => '#B693BD',
            'accent-overlay' => 'dark',
            'body-overlay' => 'light',
            'body-color' => '#9A849F',
            'bg-overlay' => 'dark',
            'bg-background' => '#171717',
            'bg-pattern' => 'elegant'
        ),

        'preset9' => array (
            'name' => 'Preset 9',
            'accent-color' => '#ECAF0F',
            'accent-overlay' => 'dark',
            'body-overlay' => 'dark',
            'body-color' => '#ECAF0F',
            'bg-overlay' => 'dark',
            'bg-background' => '#303030',
            'bg-pattern' => 'denim'
        ),

        'preset10' => array (
            'name' => 'Preset 10',
            'accent-color' => '#406873',
            'accent-overlay' => 'dark',
            'body-overlay' => 'light',
            'body-color' => '#3A7B8E',
            'bg-overlay' => 'light',
            'bg-background' => '#E0E1E6',
            'bg-pattern' => 'none'
        ),

        'preset11' => array (
            'name' => 'Preset 11',
            'accent-color' => '#E87D25',
            'accent-overlay' => 'dark',
            'body-overlay' => 'light',
            'body-color' => '#E87D25',
            'bg-overlay' => 'dark',
            'bg-background' => '#444444',
            'bg-pattern' => 'planks'
        ),

        'preset12' => array (
            'name' => 'Preset 12',
            'accent-color' => '#687C95',
            'accent-overlay' => 'dark',
            'body-overlay' => 'light',
            'body-color' => '#C45F58',
            'bg-overlay' => 'light',
            'bg-background' => '#CED0D4',
            'bg-pattern' => 'rough-fabric'
        ),

    )
);

$gantry_browser_params = array(
    'ie6' => array(
		'menu-enabled' => '0',
		'typography' => '0',
		'extensions' => '0',
		'fontsizer' => '0',
		'login' => '0',
		'popup' => '0',
		'morearticles' => '0',
		'totop-enabled' => '0',
		'smartload-enabled' => '0',
		'buildspans-enabled' => '0',
		'inputstyling' => '0'
    )
);

$gantry_belatedPNG = array('.png', '#rt-logo', '.component-block', '#rocket');
